# jaguar_auth

Authentication interceptors and helper functions for Jaguar. This package builds on 
[`Session`](https://www.dartdocs.org/documentation/jaguar/0.6.16/jaguar/Session-class.html) infrastructure provided
by `jaguar`.

This package provides three types of authentication:

1. [Basic auth]()
2. [Form auth]()
3. [JSON auth]()

And an [Authorizer]().

# Basic auth

BasicAuth performs authentication based on [basic authentication](https://en.wikipedia.org/wiki/Basic_access_authentication).

It expects base64 encoded "username:password" pair in "authorization" header with "Basic" scheme.